import 'dart:async';
import 'package:flutter/services.dart';

class PhoneNumberResolver {
  static const MethodChannel _channel = const MethodChannel('phone_number_resolver');

  static Future<String> resolveNumber() async {
    Completer<String> _completer = Completer();
    _channel.invokeMethod('resolveLine1Number').then((x){
      if(x == "permissionDenied"){
        _completer.completeError("Permission denied");
      }else if(x == "error")
      {
        _completer.completeError("Failed to resolve number");
      }
      else
        _completer.complete(x);
    });

    return _completer.future;
  }
}
